如果您现有的服务虚拟设备(20.01 或 19.03 版本)具有 Internet 连接,则可以联机升级该设备。

前提条件

过程

  1. 以 root 用户身份登录到现有服务虚拟设备。
  2. 运行以下 updatemgr.hzn 命令。
    /usr/local/horizon/update/updatemgr.hzn updateinstaller
  3. 运行以下命令以确认存在联机升级。
    /usr/local/horizon/update/updatemgr.hzn check
  4. 运行以下命令以更新设备。
    /usr/local/horizon/update/updatemgr.hzn update --file /db/dualbootupdate.tar.gz
    如果不包含 --file 选项,系统会提示您输入 dualbootupdate 文件的位置,默认为 /dualbootupdate.tar.gz
    升级过程中产生的消息将保存在位于 /opt/vmware/var/log/update.logupdate.log 文件中。
  5. 输入 y 以继续升级 Workspace ONE Access 服务,或输入 n 以退出升级。
    该提示可让您考虑有关虚拟应用程序的以下信息。
    重要事项: Workspace ONE Access Connector 20.10 或 20.01 未提供 Citrix、Horizon、Horizon Cloud 和 ThinApp 集成。
    • 要使用 ThinApp 打包应用程序,请使用 VMware Identity Manager Connector (Linux) 2018.8.1.0 版本。
    • 要使用其他虚拟应用程序(例如 Horizon 桌面和应用程序或 Citrix 发布的资源),请使用 VMware Identity Manager Connector (Windows) 19.03.0.1 版本。

    如果您计划使用虚拟应用程序,则可以继续升级。但是,20.10 和 20.01 版本的 Workspace ONE Access 服务支持虚拟应用程序,而 20.10 和 20.01 版本的 Workspace ONE Access Connector 则并不支持。因此,如果您计划将虚拟应用程序与 20.10 或 20.01 版本的 Workspace ONE Access 服务结合使用,则无法升级到 20.01 或 20.10 版本的 Workspace ONE Access Connector

  6. 再次运行 updatemgr.hzn check 命令以确认不存在较新的更新。
    /usr/local/horizon/update/updatemgr.hzn check
  7. 重新启动虚拟设备。
    reboot
  8. 检查升级后的设备版本。
    vamicli version --appliance
    将显示新版本。

结果

将完成升级。

请参阅升级后的配置